question

Minh Trinh avatar image
Minh Trinh asked

Cannot install apk file on Fire Tablet. Error: INSTALL_FAILED_OLDER_SDK

I created new android application from Android studio with following config:

compileSdkVersion 30

buildToolsVersion "30.0.3"
minSdkVersion 23
targetSdkVersion 30

I created an apk file then trying to install on Fire Tablet with Fire OS: 7.4.8 but it throw the error: INSTALL_FAILED_OLDER_SDK. As I know this Fire os version is based on Android OS 9 (API Level 28). So it should not throw this error.
https://developer.amazon.com/docs/fire-tv/fire-os-overview.html

Could you give me any advance? I tried to find the solution but could not.


fire tablet
10 |5000

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

0 Answers